%define name linus-git
%define version 0.99.5
%define release %mkrel 3

Summary: Global Information Tracker
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.kernel.org/pub/software/scm/git/git-core-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://kernel.org/pub/scm/git/git.git/
BuildRoot: %{_tmppath}/%{name}-%{release}-buildroot
Requires: rcs, diffutils
BuildRequires: openssl-devel, zlib-devel, curl-devel
Conflicts: git

%description
This is a stupid (but extremely fast) directory content manager.  It
doesn't do a whole lot, but what it _does_ do is track directory
contents efficiently.

%prep
%setup -q -n git-core-%{version}

%build
%make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install prefix=%{_prefix} DESTDIR=$RPM_BUILD_ROOT
#	template_dir=$RPM_BUILD_ROOT/%{_datadir}/%{name}-%{version}/templates/

%check
LC_ALL=C %make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING Documentation/
%defattr(-,root,root,0755)
%{_bindir}/*
%{_datadir}/git-core

%changelog
* Sun Sep 25 2005 Pascal Terjan <pterjan@mandriva.org> 0.99.5-3mdk
- tests break if we use non C locale

* Thu Sep  8 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-2mdk
- solve "templates not found" warning by moving back datas to
  /usr/share/git-core  

* Wed Sep  7 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.5-1mdk
- New release 0.99.5
- add url to Source0
- use real archive name
- fix summary-not-capitalized
- make test

* Tue Aug 23 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99.4-1mdk
- udpate to 0.99.4
- Fix build require curl-devel (thanks to trem <trem@zarb.org>)

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.99-2mdk
- Fix BuildRequires

* Wed Jul 13 2005 Samir Bellabes <sbellabes@mandriva.com> 0.99-1mdk
- Update to 0.99 'git release' 2005-07-13

* Thu Jul  7 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-2mdk
- conflicts with cogito.

* Mon Jun 20 2005 Samir Bellabes <sbellabes@mandriva.com> 0.7-1mdk
- Update to 'git release' 2005-06-20
  Now conflicts with git (GNU Interactive Tools)

* Fri Apr 29 2005 Samir Bellabes <sbellabes@mandriva.com> 0.6-1mdk
- First release
